@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
vreg.h File Reference
`#include "pico.h"`
`#include "hardware/structs/vreg_and_chip_reset.h"`
Include dependency graph for vreg.h:

Go to the source code of this file.

## Enumerations

enum

vreg_voltage {
VREG_VOLTAGE_0_85 = 0b00110 , VREG_VOLTAGE_0_90 = 0b00111 , VREG_VOLTAGE_0_95 = 0b01000 , VREG_VOLTAGE_1_00 = 0b01001 ,
VREG_VOLTAGE_1_05 = 0b01010 , VREG_VOLTAGE_1_10 = 0b01011 , VREG_VOLTAGE_1_15 = 0b01100 , VREG_VOLTAGE_1_20 = 0b01101 ,
VREG_VOLTAGE_1_25 = 0b01110 , VREG_VOLTAGE_1_30 = 0b01111 , VREG_VOLTAGE_MIN = VREG_VOLTAGE_0_85 , VREG_VOLTAGE_DEFAULT = VREG_VOLTAGE_1_10 ,
VREG_VOLTAGE_MAX = VREG_VOLTAGE_1_30
}

## Functions

void | vreg_set_voltage (enum vreg_voltage voltage)
| Set voltage.
enum vreg_voltage | vreg_get_voltage (void)
| Get voltage.
void | vreg_disable_voltage_limit (void)
| Enable use of voltages beyond the safe range of operation.

## Enumeration Type Documentation

## vreg_voltage

enum vreg_voltage

Possible voltage values that can be applied to the regulator

Enumerator
VREG_VOLTAGE_0_85 | 0.85 V
VREG_VOLTAGE_0_90 | 0.90 V
VREG_VOLTAGE_0_95 | 0.95 V
VREG_VOLTAGE_1_00 | 1.00 V
VREG_VOLTAGE_1_05 | 1.05 V
VREG_VOLTAGE_1_10 | 1.10 V
VREG_VOLTAGE_1_15 | 1.15 V
VREG_VOLTAGE_1_20 | 1.20 V
VREG_VOLTAGE_1_25 | 1.25 V
VREG_VOLTAGE_1_30 | 1.30 V
VREG_VOLTAGE_MIN | Always the minimum possible voltage.
VREG_VOLTAGE_DEFAULT | Default voltage on power up.
VREG_VOLTAGE_MAX | Always the maximum possible voltage.